Index: plugins/aboutConfig/_define.php
===================================================================
--- plugins/aboutConfig/_define.php	(revision 270)
+++ plugins/aboutConfig/_define.php	(revision 464)
@@ -16,6 +16,5 @@
 	/* Description*/		"Manage every blog configuration directive",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'0.3',
-	/* Permissions */		null
+	/* Version */			'0.3'
 );
 ?>
Index: plugins/akismet/_define.php
===================================================================
--- plugins/akismet/_define.php	(revision 270)
+++ plugins/akismet/_define.php	(revision 464)
@@ -17,6 +17,8 @@
 	/* Author */			"Olivier Meunier",
 	/* Version */			'1.1',
-	/* Permissions */		'usage,contentadmin',
-	/* Priority */			200
+	array(
+		'permissions' =>	'usage,contentadmin',
+		'priority' =>		200
+	)
 );
 ?>
Index: plugins/antispam/_define.php
===================================================================
--- plugins/antispam/_define.php	(revision 270)
+++ plugins/antispam/_define.php	(revision 464)
@@ -17,6 +17,8 @@
 	/* Author */			"Alain Vagner",
 	/* Version */			'1.3.1',
-	/* Permissions */		'usage,contentadmin',
-	/* Priority */			10
+	array(
+		'permissions' =>	'usage,contentadmin',
+		'priority' =>		10
+	)
 );
 ?>
Index: plugins/attachments/_define.php
===================================================================
--- plugins/attachments/_define.php	(revision 407)
+++ plugins/attachments/_define.php	(revision 464)
@@ -17,6 +17,8 @@
 	/* Author */		"Dotclear Team",
 	/* Version */		'1.0',
-	/* Permissions */	'contentadmin,pages',
-	999
+	array(
+		'permissions' =>	'contentadmin,pages',
+		'priority' =>		999
+	)
 );
 ?>
Index: plugins/attachments/_public.php
===================================================================
--- plugins/attachments/_public.php	(revision 415)
+++ plugins/attachments/_public.php	(revision 464)
@@ -195,5 +195,5 @@
 	}
 	
-	public function MediaURL($attr)
+	public static function MediaURL($attr)
 	{
 		$f = $GLOBALS['core']->tpl->getFilters($attr);
@@ -209,5 +209,5 @@
 	>
 	*/
-	public function EntryAttachmentCount($attr)
+	public static function EntryAttachmentCount($attr)
 	{
 		$none = 'no attachment';
Index: plugins/blogroll/_define.php
===================================================================
--- plugins/blogroll/_define.php	(revision 270)
+++ plugins/blogroll/_define.php	(revision 464)
@@ -17,5 +17,7 @@
 	/* Author */			"Olivier Meunier",
 	/* Version */			'1.2',
-	/* Permissions */		'blogroll'
+	array(
+		'permissions' =>	'blogroll'
+	)
 );
 ?>
Index: plugins/blowupConfig/_define.php
===================================================================
--- plugins/blowupConfig/_define.php	(revision 270)
+++ plugins/blowupConfig/_define.php	(revision 464)
@@ -17,5 +17,7 @@
 	/* Author */			"Olivier Meunier",
 	/* Version */			'1.1',
-	/* Permissions */		'admin'
+	array(
+		'permissions' =>	'admin'
+	)
 );
 ?>
Index: plugins/fairTrackbacks/_define.php
===================================================================
--- plugins/fairTrackbacks/_define.php	(revision 270)
+++ plugins/fairTrackbacks/_define.php	(revision 464)
@@ -17,6 +17,8 @@
 	/* Author */			"Olivier Meunier",
 	/* Version */			'1.1',
-	/* Permissions */		'usage,contentadmin',
-	/* Priority */			200
+	array(
+		'permissions' =>	'usage,contentadmin',
+		'priority' =>		200
+	)
 );
 ?>
Index: plugins/importExport/_define.php
===================================================================
--- plugins/importExport/_define.php	(revision 270)
+++ plugins/importExport/_define.php	(revision 464)
@@ -17,6 +17,8 @@
 	/* Author */			"Olivier Meunier",
 	/* Version */			'2.4',
-	/* Permissions */		'admin',
-	/* Priority */			10
+	array(
+		'permissions' => 'admin',
+		'priority' => 10
+	)
 );
 ?>
Index: plugins/maintenance/_define.php
===================================================================
--- plugins/maintenance/_define.php	(revision 270)
+++ plugins/maintenance/_define.php	(revision 464)
@@ -16,6 +16,5 @@
 	/* Description*/		"Maintain your database",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'1.1',
-	/* Permissions */		null
+	/* Version */			'1.1'
 );
 ?>
Index: plugins/pages/_define.php
===================================================================
--- plugins/pages/_define.php	(revision 270)
+++ plugins/pages/_define.php	(revision 464)
@@ -17,6 +17,8 @@
 	/* Author */		"Olivier Meunier",
 	/* Version */		'1.1.1',
-	/* Permissions */	'contentadmin,pages',
-	999
+	array(
+		'permissions' =>	'contentadmin,pages',
+		'priority' =>	999
+	)
 );
 ?>
Index: plugins/pings/_define.php
===================================================================
--- plugins/pings/_define.php	(revision 270)
+++ plugins/pings/_define.php	(revision 464)
@@ -17,5 +17,7 @@
 	/* Author */			"Olivier Meunier",
 	/* Version */			'1.1',
-	/* Permissions */		'usage,contentadmin'
+	array(
+		'permissions' =>	'usage,contentadmin'
+	)
 );
 ?>
Index: plugins/tags/_define.php
===================================================================
--- plugins/tags/_define.php	(revision 270)
+++ plugins/tags/_define.php	(revision 464)
@@ -17,5 +17,7 @@
 	/* Author */			"Olivier Meunier",
 	/* Version */			'1.1',
-	/* Permissions */		'usage,contentadmin'
+	array(
+		'permissions' =>	'usage,contentadmin'
+	)
 );
 ?>
Index: plugins/themeEditor/_define.php
===================================================================
--- plugins/themeEditor/_define.php	(revision 270)
+++ plugins/themeEditor/_define.php	(revision 464)
@@ -16,6 +16,5 @@
 	/* Description*/		"Theme Editor",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'0.9',
-	/* Permissions */		null
+	/* Version */			'0.9'
 );
 ?>
Index: plugins/userPref/_define.php
===================================================================
--- plugins/userPref/_define.php	(revision 3)
+++ plugins/userPref/_define.php	(revision 464)
@@ -16,6 +16,5 @@
 	/* Description*/		"Manage every user preference directive",
 	/* Author */			"Franck Paul",
-	/* Version */			'0.1',
-	/* Permissions */		null
+	/* Version */			'0.1'
 );
 ?>
Index: plugins/widgets/_define.php
===================================================================
--- plugins/widgets/_define.php	(revision 270)
+++ plugins/widgets/_define.php	(revision 464)
@@ -17,6 +17,8 @@
 	/* Author */			"Olivier Meunier",
 	/* Version */			'2',
-	/* Permissions */		'admin',
-	/* Priority */			1000000000
+	array(
+		'permissions' =>	'admin',
+		'priority' =>		1000000000
+	)
 );
 ?>
